%define kernel_dir	/usr/src/linux
%define kernel_inc	%{kernel_dir}/include

Name:		dvbtune
Version:	0.5
Release:	%mkrel 20
Summary:	Tuning application for DVB cards
License:	GPLv2
Group:		Video/Television
URL:		http://dvbtools.sourceforge.net/
Source0:	http://sourceforge.net/projects/dvbtools/files/dvbtune/%{name}-%{version}/%{name}-%{version}.tar.gz
Patch0:		dvbtune-0.5-fix-compile.patch
BuildRequires:	kernel-source
BuildRequires:	libxml2-devel

Requires(post):		update-alternatives
Requires(postun):	update-alternatives

%description
DVBtune is a simple tuning application for DVB cards supported by the
Linux DVB driver (www.linuxtv.org).

%prep
%setup -q
%autopatch -p1

%build
#UK
%make INCS=-I%{kernel_inc}
%make xml2vdr
install -m 755 dvbtune dvbtune-uk
install -m 755 xml2vdr dvb_xml2vdr-uk
%make clean
#Finland
%make INCS=-I%{kernel_inc} FINLAND=1
%make FINLAND=1 xml2vdr
install -m 755 dvbtune dvbtune-fin
install -m 755 xml2vdr dvb_xml2vdr-fin
%make clean

%make INCS=-I%{kernel_inc} FINLAND2=1
%make FINLAND2=1 xml2vdr
install -m 755 dvbtune dvbtune-fin2
install -m 755 xml2vdr dvb_xml2vdr-fin2

%install
mkdir -p %{buildroot}%{_bindir}
install -m 755 dvbtune-* %{buildroot}%{_bindir}/
install -m 755 dvb_* %{buildroot}%{_bindir}/

mkdir -p %{buildroot}%{_libdir}/%{name}
install -m 755 scripts/*.sh %{buildroot}%{_libdir}/%{name}

echo "update-alternatives --install %{_bindir}/dvbtune dvbtune %{_bindir}/dvbtune-uk 30 \\" >> dvbtune-setup-alternatives.sh
echo "--slave  %{_bindir}/dvb_xml2vdr dvb_xml2vdr %{_bindir}/dvb_xml2vdr-uk \\" >> dvbtune-setup-alternatives.sh
echo >> dvbtune-setup-alternatives.sh

echo "update-alternatives --install %_bindir/dvbtune dvbtune %{_bindir}/dvbtune-fin 20 \\" >> dvbtune-setup-alternatives.sh
echo "--slave  %{_bindir}/dvb_xml2vdr dvb_xml2vdr %{_bindir}/dvb_xml2vdr-fin \\" >> dvbtune-setup-alternatives.sh
echo >> dvbtune-setup-alternatives.sh


echo "update-alternatives --install %{_bindir}/dvbtune dvbtune %{_bindir}/dvbtune-fin2 10 \\" >> dvbtune-setup-alternatives.sh
echo "--slave  %{_bindir}/dvb_xml2vdr dvb_xml2vdr %{_bindir}/dvb_xml2vdr-fin2 \\" >> dvbtune-setup-alternatives.sh
echo >> dvbtune-setup-alternatives.sh

%post -f dvbtune-setup-alternatives.sh

%postun
if [ $1 = 0 ]; then
	update-alternatives --remove dvbtune %{_bindir}/dvbtune-uk
	update-alternatives --remove dvbtune %{_bindir}/dvbtune-fin
	update-alternatives --remove dvbtune %{_bindir}/dvbtune-fin2
fi

%files
%doc README
%{_bindir}/*
%{_libdir}/%{name}/


%changelog
* Thu Apr 28 2016 daviddavid <daviddavid> 0.5-20.mga6
+ Revision: 1007292
- add patch to fix build with latest gcc 5.3.1

* Mon Feb 08 2016 umeabot <umeabot> 0.5-19.mga6
+ Revision: 942521
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.5-18.mga5
+ Revision: 741575
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.5-17.mga5
+ Revision: 678886
- Mageia 5 Mass Rebuild

* Wed Mar 12 2014 david-david <david-david> 0.5-16.mga5
+ Revision: 602685
- fix incorrect URL
- fix incorrect linkurl for Source0
- update tarball using the correct link (.bz2 does not exist)
- add update-alternatives package on requires(postun) too

* Fri Oct 18 2013 umeabot <umeabot> 0.5-16.mga4
+ Revision: 521362
- Mageia 4 Mass Rebuild

* Mon Jan 21 2013 barjac <barjac> 0.5-15.mga3
+ Revision: 390590
- fix license
- minor spec clean

  + fwang <fwang>
    - update rpm group

  + umeabot <umeabot>
    - Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Feb 26 2011 ennael <ennael> 0.5-12.mga1
+ Revision: 60095
- imported package dvbtune


* Thu Dec 02 2010 Oden Eriksson <oeriksson@mandriva.com> 0.5-12mdv2011.0
+ Revision: 604834
- rebuild

* Tue Mar 09 2010 Christophe Fergeau <cfergeau@mandriva.com> 0.5-11mdv2010.1
+ Revision: 517047
- add missing Requires(post) on update-alternatives

* Sun Aug 09 2009 Oden Eriksson <oeriksson@mandriva.com> 0.5-10mdv2010.0
+ Revision: 413413
- rebuild

* Sat Mar 07 2009 Antoine Ginies <aginies@mandriva.com> 0.5-9mdv2009.1
+ Revision: 350885
- rebuild

* Tue Jun 17 2008 Thierry Vignaud <tv@mandriva.org> 0.5-8mdv2009.0
+ Revision: 220711
- rebuild

* Mon Feb 18 2008 Thierry Vignaud <tv@mandriva.org> 0.5-7mdv2008.1
+ Revision: 170804
- rebuild
- fix "foobar is blabla" summary (=> "blabla") so that it looks nice in rpmdrake

* Sat Jan 12 2008 Thierry Vignaud <tv@mandriva.org> 0.5-6mdv2008.1
+ Revision: 149682
- rebuild
- kill re-definition of %%buildroot on Pixel's request
- fix summary-ended-with-dot

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Sat Apr 28 2007 Adam Williamson <awilliamson@mandriva.org> 0.5-5mdv2008.0
+ Revision: 18865
- clean spec, rebuild for new era


* Wed May 25 2005 Christiaan Welvaart <cjw@daneel.dyndns.org> 0.5-4mdk
- add BuildRequires: libxml2-devel

* Tue Jun 08 2004 Svetoslav Slavtchev <svetljo@gmx.de> 0.5-3mdk
- initial contrib

* Sun Apr 04 2004 Svetoslav Slavtchev <svetljo@gmx.de> 0.5-2mdk
- fix group
- rename spec to dvbtune (!dvbtune2)
  update-alternatives should be working :-)

* Sun Apr 04 2004 Svetoslav Slavtchev <svetljo@gmx.de> 0.5-1mdk
- initial build for club

